SimilarityPairFeature.Template (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.homol.SimilarityPairFeature.Template class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.homol
Class SimilarityPairFeature.Template

    java.lang.Object
      org.biojava.bio.seq.Feature.Template
          org.biojava.bio.seq.StrandedFeature.Template
              org.biojava.bio.seq.homol.SimilarityPairFeature.Template

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing interface:
  SimilarityPairFeature

    public static class SimilarityPairFeature.Template

extends StrandedFeature.Template

`Template` for construction of `SimilarityPairFeature`s.

See Also:
  Serialized Form

Field Summary
`Alignment` | `alignment` `alignment` `Alignment` field.
`double` | `score` `score` of the search which produced the alignment.
`SimilarityPairFeature` | `sibling` `sibling` `SimilarityPairFeature` field.

Fields inherited from class org.biojava.bio.seq.StrandedFeature.Template
`strand`

Fields inherited from class org.biojava.bio.seq.Feature.Template
`annotation, location, source, sourceTerm, type, typeTerm`

Constructor Summary
`SimilarityPairFeature.Template()`

Method Summary

Methods inherited from class org.biojava.bio.seq.Feature.Template
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sibling

    public SimilarityPairFeature sibling

  `sibling` `SimilarityPairFeature` field. May be null if the reciprocal `SimilarityPairFeature` has not yet been created.

### alignment

    public Alignment alignment

  `alignment` `Alignment` field.

### score

    public double score

  `score` of the search which produced the alignment.

Constructor Detail

### SimilarityPairFeature.Template

    public SimilarityPairFeature.Template()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD